edu.ucsb.nceas.metacat.accesscontrol

## Class AccessRule

- java.lang.Object
- - edu.ucsb.nceas.metacat.accesscontrol.AccessRule

-     public class AccessRule
      extends java.lang.Object

  A Class that represents an XML access rule. It include principal and permission

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AccessRule()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addPrincipal(java.lang.String newPrincipal)` Set the a principle
    `java.lang.Object` | `clone()` Copy a AccessRule to another accessrule object
    `int` | `getPermission()` Get permission
    `java.lang.String` | `getPermissionType()`
    `java.util.Vector<java.lang.String>` | `getPrincipal()` Get the principle vector
    `void` | `setPermission(int myPermission)` Set a permission.
    `void` | `setPermissionType(java.lang.String type)` Set the permssionType

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AccessRule

          public AccessRule()

  - ### Method Detail

    - #### setPermissionType

          public void setPermissionType(java.lang.String type)

      Set the permssionType

    - #### getPermissionType

          public java.lang.String getPermissionType()

    - #### addPrincipal

          public void addPrincipal(java.lang.String newPrincipal)

      Set the a principle

    - #### getPrincipal

          public java.util.Vector<java.lang.String> getPrincipal()

      Get the principle vector

    - #### setPermission

          public void setPermission(int myPermission)

      Set a permission.

    - #### getPermission

          public int getPermission()

      Get permission

    - #### clone

          public java.lang.Object clone()

      Copy a AccessRule to another accessrule object
      Overrides:
        `clone` in class `java.lang.Object`

Copyright © 2023 Regents of the University of California. All Rights Reserved.